Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77067 - Internal compiler error in subst_stack_regs_pat
Summary: Internal compiler error in subst_stack_regs_pat
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc3
Version: 8.0
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-31 18:24 UTC by Igor
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-03 10:21:16 UTC


Attachments (Terms of Use)

Description Igor 2002-10-31 18:24:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 4.0)

Description of problem:
compiling "chipmonks" simulation software with gcc arch i486
works ...  changing to athlon  does not work 

see tha attached LOG...   I am assuming that this bug report
is not complete... so  , if you need more info, please
e-mail me  and tell me what you need

ylib.c: In function `m_drawpoly':
mylib.c:425: warning: passing arg 0 of `GeneralTransform' from incompatible 
pointer type
mylib.c:425: warning: passing arg 0 of `GeneralTransform' from incompatible 
pointer type
In file included from mylib.c:4169:
mylib.c:425: warning: passing arg 0 of `GeneralTransform' from incompatible 
pointer type
mylib.c:425: warning: passing arg 0 of `GeneralTransform' from incompatible 
pointer type
In file included from mylib.c:4376:
mylib.c: In function `m_fillpoly':
mylib.c:425: warning: passing arg 0 of `GeneralTransform' from incompatible 
pointer type
mylib.c:425: warning: passing arg 0 of `GeneralTransform' from incompatible 
pointer type
In file included from mylib.c:4673:
mylib.c: In function `m_readpen':
mylib.c:461: warning: passing arg 0 of `GeneralUnTransform' from incompatible 
pointer type
mylib.c:461: warning: passing arg 0 of `GeneralUnTransform' from incompatible 
pointer type
In file included from mylib.c:4785:
mylib.c: In function `m_trackpen2':
mylib.c:461: warning: passing arg 0 of `GeneralUnTransform' from incompatible 
pointer type
mylib.c:461: warning: passing arg 0 of `GeneralUnTransform' from incompatible 
pointer type
gcc -O3 -DBSD -Dlinux -DF_OK=0 -march=athlon-4 -I../include -
I/usr/X11R6/include -DCHIPLIB=\"`cd ../../lib; pwd`\"   -c -o newkbd.o newkbd.c
gcc -O3 -DBSD -Dlinux -DF_OK=0 -march=athlon-4 -I../include -
I/usr/X11R6/include -DCHIPLIB=\"`cd ../../lib; pwd`\"   -c -o newasmlib.o 
newasmlib.c
newasmlib.c: In function `strdate':
newasmlib.c:1819: warning: passing arg 2 of `strcpy' makes pointer from integer 
without a cast
gcc -O3 -DBSD -Dlinux -DF_OK=0 -march=athlon-4 -I../include -
I/usr/X11R6/include -DCHIPLIB=\"`cd ../../lib; pwd`\"   -c -o newcrt.o newcrt.c
gcc -O3 -DBSD -Dlinux -DF_OK=0 -march=athlon-4 -I../include -
I/usr/X11R6/include -DCHIPLIB=\"`cd ../../lib; pwd`\"   -c -o math.o math.c
math.c: In function `ma_arccosh':
math.c:1517: Internal compiler error in subst_stack_regs_pat, at reg-
stack.c:1441
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make: *** [math.o] Error 1
:

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
just compile "chipmonks" software with GCC for athlon

Actual Results:  ylib.c: In function `m_drawpoly':
mylib.c:425: warning: passing arg 0 of `GeneralTransform' from incompatible 
pointer type
mylib.c:425: warning: passing arg 0 of `GeneralTransform' from incompatible 
pointer type
In file included from mylib.c:4169:
mylib.c:425: warning: passing arg 0 of `GeneralTransform' from incompatible 
pointer type
mylib.c:425: warning: passing arg 0 of `GeneralTransform' from incompatible 
pointer type
In file included from mylib.c:4376:
mylib.c: In function `m_fillpoly':
mylib.c:425: warning: passing arg 0 of `GeneralTransform' from incompatible 
pointer type
mylib.c:425: warning: passing arg 0 of `GeneralTransform' from incompatible 
pointer type
In file included from mylib.c:4673:
mylib.c: In function `m_readpen':
mylib.c:461: warning: passing arg 0 of `GeneralUnTransform' from incompatible 
pointer type
mylib.c:461: warning: passing arg 0 of `GeneralUnTransform' from incompatible 
pointer type
In file included from mylib.c:4785:
mylib.c: In function `m_trackpen2':
mylib.c:461: warning: passing arg 0 of `GeneralUnTransform' from incompatible 
pointer type
mylib.c:461: warning: passing arg 0 of `GeneralUnTransform' from incompatible 
pointer type
gcc -O3 -DBSD -Dlinux -DF_OK=0 -march=athlon-4 -I../include -
I/usr/X11R6/include -DCHIPLIB=\"`cd ../../lib; pwd`\"   -c -o newkbd.o newkbd.c
gcc -O3 -DBSD -Dlinux -DF_OK=0 -march=athlon-4 -I../include -
I/usr/X11R6/include -DCHIPLIB=\"`cd ../../lib; pwd`\"   -c -o newasmlib.o 
newasmlib.c
newasmlib.c: In function `strdate':
newasmlib.c:1819: warning: passing arg 2 of `strcpy' makes pointer from integer 
without a cast
gcc -O3 -DBSD -Dlinux -DF_OK=0 -march=athlon-4 -I../include -
I/usr/X11R6/include -DCHIPLIB=\"`cd ../../lib; pwd`\"   -c -o newcrt.o newcrt.c
gcc -O3 -DBSD -Dlinux -DF_OK=0 -march=athlon-4 -I../include -
I/usr/X11R6/include -DCHIPLIB=\"`cd ../../lib; pwd`\"   -c -o math.o math.c
math.c: In function `ma_arccosh':
math.c:1517: Internal compiler error in subst_stack_regs_pat, at reg-
stack.c:1441
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make: *** [math.o] Error 1
:

Expected Results:  
compilation should finish

Additional info:

Comment 1 Richard Henderson 2004-10-03 10:21:16 UTC
No test case, no pointer to "chipmonks".  Two years old.


Note You need to log in before you can comment on or make changes to this bug.